<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrRevokeRegistrationMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrRevokeRegistration">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="peId" column="PE_ID" jdbcType="VARCHAR"/>
            <result property="canid" column="CANID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="cancelregtype" column="CANCELREGTYPE" jdbcType="VARCHAR"/>
            <result property="cancelobj" column="CANCELOBJ" jdbcType="VARCHAR"/>
            <result property="cancelrea" column="CANCELREA" jdbcType="VARCHAR"/>
            <result property="canceldate" column="CANCELDATE" jdbcType="DATE"/>
            <result property="courtnotno" column="COURTNOTNO" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,PE_ID,CANID,
        PRIPID,CANCELREGTYPE,CANCELOBJ,
        CANCELREA,CANCELDATE,COURTNOTNO,
        S_EXT_DATATIME,uni_code
    </sql>
</mapper>
